# Interface MapConstraintsProperties

Properties that can be passed into the constructor for MapConstraints.

interface MapConstraintsProperties {
maxScale?: number;
minScale?: number;
rotationEnabled?: boolean;
snapToZoom?: boolean;
viewSync?: ViewSyncConstraints;
}

#####
Index

### Properties

maxScale?
minScale?
rotationEnabled?
snapToZoom?
viewSync?

##
Properties

### `Optional` maxScale

maxScale?: number

See MapConstraints.maxScale.

### `Optional` minScale

minScale?: number

See MapConstraints.minScale.

### `Optional` rotationEnabled

rotationEnabled?: boolean

See MapConstraints.rotationEnabled.

### `Optional` snapToZoom

snapToZoom?: boolean

See MapConstraints.snapToZoom.

### `Optional` viewSync

viewSync?: ViewSyncConstraints

See ViewSyncConstraints.